import type { NormalizedSchema } from "../../../metabase-types/api";
import type Database from "./Database";
import type Metadata from "./Metadata";
import type Table from "./Table";
interface Schema extends Omit<NormalizedSchema, "database" | "tables"> {
    database?: Database;
    tables?: Table[];
    metadata?: Metadata;
}
/**
 * @deprecated use RTK Query endpoints and plain api objects from metabase-types/api
 */
declare class Schema {
    private readonly _plainObject;
    constructor(schema: NormalizedSchema);
    getPlainObject(): NormalizedSchema;
    displayName(): string | null;
    getTables(): Table[];
}
export default Schema;
